Bug 15230 - Duplicate filter is filtering out search matches with different arch, leads to just .i386 shown for x86_64 host
Summary: Duplicate filter is filtering out search matches with different arch, leads t...
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-27 11:51 UTC by Jesse Keating
Modified: 2008-09-26 08:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Keating 2008-03-27 11:51:39 UTC
$ pkcon search name python-magic
available    python-magic         i386    4.23-5.fc9      koji-static-i386 Python bindings for the libmagic API              
available    python-magic         x86_64  4.23-5.fc9      local        Python bindings for the libmagic API


The UI throws out the .x86_64 result leaving only the i386 result, which would be clearly wrong on my x86_64 host.

Talking some with the yum upstream and this is a bit of a hard problem to solve.

However they're talking about having a search flag or api flag that will remove .arch from results and collapse duplicates into just a single return, like say "python-magic".  Then when the user clicks that to install, "python-magic" is sent as the install request and local yum multilib policy will dictate which arches are to be searched for/installed.
Comment 1 Richard Hughes 2008-03-29 03:16:57 UTC
I've fixed this in git, removing the pk_client_set_name_filter method - we need to fix this a better way, perhaps with the NEWEST filter I've just added to git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.